petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPComputeExtremeSingularValues

Computes the extreme singular values for the preconditioned operator. Called after or during KSPSolve().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPComputeExtremeSingularValues(KSP ksp,PetscReal *emax,PetscReal *emin)

Not Collective Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

### Output Parameters

emin, emax -extreme singular values Many br

### Options Database Keys

-ksp_compute_singularvalues -compute extreme singular values and print when KSPSolve completes. Many br

### Notes

One must call KSPSetComputeSingularValues() before calling KSPSetUp() Many br(or use the option -ksp_compute_eigenvalues) in order for this routine to work correctly. Many br

Many users may just want to use the monitoring routine Many brKSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) Many brto print the extreme singular values at each iteration of the linear solve. Many br

Estimates of the smallest singular value may be very inaccurate, especially if the Krylov method has not converged. Many brThe largest singular value is usually accurate to within a few percent if the method has converged, but is still not Many brintended for eigenanalysis. Many br

Disable restarts if using KSPGMRES, otherwise this estimate will only be using those iterations after the last Many brrestart. See KSPGMRESSetRestart() for more details. Many br

Many br

### Keywords

KSP, compute, extreme, singular, values

### See Also

KSPSetComputeSingularValues(), KSPMonitorSingularValue(), KSPComputeEigenvalues()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex56.c.html